const int led1 = 3;
const int led2 = 5;
const int led3 = 6;
const int led4 = 9;
const int led5 = 10;
const int led6 = 11;
const int pot1 = A0;
const int pot2 = A1;
const int pot3 = A2;
const int pot4 = A3;
const int pot5 = A4;
const int pot6 = A5;

int beat = 1;
int del = 400;
int play = 0;

void setup() {
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  pinMode(led3, OUTPUT);
  pinMode(led4, OUTPUT);
  pinMode(led5, OUTPUT);
  pinMode(led6, OUTPUT);
  pinMode(pot1, INPUT);
  pinMode(pot2, INPUT);
  pinMode(pot3, INPUT);
  pinMode(pot4, INPUT);
  pinMode(pot5, INPUT);
  pinMode(pot6, INPUT);
  Serial.begin(9600);
}

void loop() {
  switch (beat) {
    case 1:
      analogWrite(led1,20); //Turn on first LED
      readPot(pot1); //Read first potentiometer value and output to serial
      
      //When Max detects movement from Wii remote it will play a note based on pot value
      if (readWii() == 1) { //When Max has played a note Ardunio will detect that from serial
        beat++; //Increment beat counter
        delay(del); //Wait for serial input to normalize again
        analogWrite(led1,0); //Turn off first LED
      }
      break;
      
    case 2:
      analogWrite(led2,20);
      readPot(pot2);
      if (readWii() == 1) {
        beat++;
        delay(del); 
        analogWrite(led2,0);

      }
      break;
    
    case 3:
      analogWrite(led3,20);
      readPot(pot3);
      if (readWii() == 1) {
        analogWrite(led3,0);
        beat++;
        delay(del); 
        analogWrite(led3,0);
      }
      break;
    
    case 4:
      analogWrite(led4,20);
      readPot(pot4);
      if (readWii() == 1) {
        beat++;
        delay(del); 
        analogWrite(led4,0);
      }
      break;
    
    case 5:
      analogWrite(led5,20);
      readPot(pot5);
      if (readWii() == 1) {
        analogWrite(led5,0);
        beat++;
        delay(del);
        analogWrite(led5,0);
      }
      break;
    
    case 6:
      analogWrite(led6,20);
      readPot(pot6);
      if (readWii() == 1) {
        beat=1;
        delay(del); 
        analogWrite(led6,0);
      }
      break;
  }
}

int readPot(int pot) {
  pot = map(analogRead(pot), 1023, 0, 36, 83);
  Serial.println(pot);
  return pot;
}

int  readWii() {
  play = Serial.read();
  return play;
}
